PackageContainerInterface Class Referenceabstract
Inheritance diagram for PackageContainerInterface:
[legend]

## Classes

class | iterator_base

## Public Member Functions

virtual bool | insert (pkgCache::PkgIterator const &P)=0
virtual bool | empty () const =0
virtual void | clear ()=0
virtual size_t | size () const =0
void | setConstructor (CacheSetHelper::PkgSelector const by)
CacheSetHelper::PkgSelector | getConstructor () const
| PackageContainerInterface (CacheSetHelper::PkgSelector const by)
| PackageContainerInterface (PackageContainerInterface const &by)
PackageContainerInterface & | operator= (PackageContainerInterface const &other)

The documentation for this class was generated from the following files:

- apt-pkg/cacheset.h
- apt-pkg/cacheset.cc